View Full Version : Epub validator error code assistance


LGDesign
03-03-2013, 01:11 AM
Used InDesign CS5.5 to create an ebook as I have done previously. However while past books have been validated, the current book is getting the following error code.

Error code:
Irregular DOCTYPE: found '-//W3C//DTD XHTML 1.1 //EN', expecting '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">'.

Any help regarding what this means and how to fix it would be greatly appreciated. Thank you.

AlPe
03-03-2013, 01:59 PM
Some page in your ebook has


-//W3C//DTD XHTML 1.1 //EN


while the correct DOCTYPE (for EPUB 2) is


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

LGDesign
03-07-2013, 12:33 AM
Sigil doesn't work on my operating system OSX10.6.8. Any recommendations of how I can alter the CSS or other software to try?

I am wondering why this is occuring now with my files when it hadn't previously. Is it because of EPUB2 & 3?

Many thanks in advance for any advice. I don't create ebooks enough to stay on top of all the new developments.

AlPe
03-09-2013, 06:08 PM
Sigil doesn't work on my operating system OSX10.6.8. Any recommendations of how I can alter the CSS or other software to try?


Unzip the ebook and then edit it using any text editor of your choice.


I am wondering why this is occuring now with my files when it hadn't previously. Is it because of EPUB2 & 3?


It is hard to tell, without seeing the code.